Package ghidra.app.util.bin.format.macos.rm

# Class ResourceType

java.lang.Object
ghidra.app.util.bin.format.macos.rm.ResourceType

All Implemented Interfaces:
  `StructConverter`

public class ResourceType extends Object implements StructConverter

- ## Field Summary

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `short`
  `getNumberOfResources()`
  Returns the number of resources of this type in map minus 1.
  `short`
  `getOffsetToReferenceList()`
  Returns the offset from the beginning of the resource type list to reference list for this type.
  `List<ReferenceListEntry>`
  `getReferenceList()`
  `Object`
  `getResourceObject()`
  `int`
  `getType()`
  Returns the resource type.
  `String`
  `getTypeAsString()`
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getResourceObject

    public Object getResourceObject()

  - ### getType

    public int getType()
    Returns the resource type.
    Returns:
      the resource type

  - ### getTypeAsString

    public String getTypeAsString()

  - ### getNumberOfResources

    public short getNumberOfResources()
    Returns the number of resources of this type in map minus 1.
    Returns:
      the number of resources

  - ### getOffsetToReferenceList

    public short getOffsetToReferenceList()
    Returns the offset from the beginning of the resource type list to reference list for this type.
    Returns:
      the offset to reference list

  - ### getReferenceList

    public List<ReferenceListEntry> getReferenceList()

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Specified by:
      `toDataType` in interface `StructConverter`
    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException` - if an IO-related error occurs
    See Also:
      - `StructureDataType`